/****************************************************************************
 *          S  T  A  N  D  A  R  D    I  N  C  L  U  D  E  S                *
 ****************************************************************************/

#include "exec/types.h"
#include "exec/memory.h"
#include "hardware/custom.h"
#include "hardware/dmabits.h"
#include "graphics/gfxbase.h"
#include "graphics/display.h"
#include "graphics/gfxmacros.h"
#include "graphics/text.h"
#include "graphics/gels.h"
#include "intuition/intuition.h"
#include "libraries/diskfont.h"
#include "libraries/dos.h"
#include "workbench/workbench.h"
#include "workbench/startup.h"

/* color definitions (workbench default) */
#define BLUE    0
#define WHITE   1
#define BLACK   2
#define RED     3

/* menu definitions */
#define PROJ    0
#define GEN     1
#define MODE    2
#define FONT    3
#define TTEXT   4

#define SLOW    200000
#define MEDIUM  100000
#define FAST     10000

#define HDIGIT(x) ((char)((x)/10+48))
#define LDIGIT(x) ((char)((x)%10+48))
